<?php declare(strict_types=1);

namespace Plugin\km_rechnungen\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

class Migration20220714150000 extends Migration implements IMigration
{
    public function up() {
        $this->execute("CREATE TABLE IF NOT EXISTS `km_shoprechnungen_document_mapping` (
					`kDokument` int(11) unsigned NOT NULL AUTO_INCREMENT,
					`cName` varchar(255) NOT NULL,
					`cDateipfad` varchar(1000) NOT NULL,					
                    `cMime` varchar(255) NOT NULL,
					`kKunde` int(11) NOT NULL,
					`cDokumentNr` varchar(255) NOT NULL,
                    `cDokumentTyp` varchar(255) NOT NULL,
                    `cBestellNr` varchar(255) NOT NULL,
					`dErstellt` datetime NOT NULL,
					PRIMARY KEY (`kDokument`)
					)  ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci");
    }

    public function down() {
        $this->execute("DROP TABLE `km_shoprechnungen_document_mapping`");
    }
}
